Bug 1466996 - [abrt] ristretto: xfconf_cache_set(): ristretto killed by SIGSEGV
[abrt] ristretto: xfconf_cache_set(): ristretto killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: ristretto (Show other bugs)
25
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mukundan Ragavan
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:c104438c681d336cfda26669df7...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-01 08:05 EDT by Lilicenco
Modified: 2017-12-12 05:29 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-12 05:29:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (31.09 KB, text/plain)
2017-07-01 08:06 EDT, Lilicenco
no flags Details
File: cgroup (242 bytes, text/plain)
2017-07-01 08:06 EDT, Lilicenco
no flags Details
File: core_backtrace (6.31 KB, text/plain)
2017-07-01 08:06 EDT, Lilicenco
no flags Details
File: dso_list (8.37 KB, text/plain)
2017-07-01 08:06 EDT, Lilicenco
no flags Details
File: environ (3.21 KB, text/plain)
2017-07-01 08:06 EDT, Lilicenco
no flags Details
File: exploitable (112 bytes, text/plain)
2017-07-01 08:06 EDT, Lilicenco
no flags Details
File: limits (1.29 KB, text/plain)
2017-07-01 08:06 EDT, Lilicenco
no flags Details
File: maps (41.07 KB, text/plain)
2017-07-01 08:06 EDT, Lilicenco
no flags Details
File: mountinfo (3.30 KB, text/plain)
2017-07-01 08:06 EDT, Lilicenco
no flags Details
File: namespaces (102 bytes, text/plain)
2017-07-01 08:06 EDT, Lilicenco
no flags Details
File: open_fds (684 bytes, text/plain)
2017-07-01 08:06 EDT, Lilicenco
no flags Details
File: proc_pid_status (1.23 KB, text/plain)
2017-07-01 08:06 EDT, Lilicenco
no flags Details
File: var_log_messages (298 bytes, text/plain)
2017-07-01 08:06 EDT, Lilicenco
no flags Details

  None (edit)
Description Lilicenco 2017-07-01 08:05:57 EDT
Version-Release number of selected component:
ristretto-0.8.2-2.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        ristretto /usr/share/backgrounds/default.png
crash_function: xfconf_cache_set
executable:     /usr/bin/ristretto
global_pid:     2797
kernel:         4.11.7-200.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 xfconf_cache_set at xfconf-cache.c:764
 #1 xfconf_channel_set_internal at xfconf-channel.c:408
 #2 IA__xfconf_channel_set_property at xfconf-channel.c:1353
 #3 xfconf_g_property_object_notify at xfconf-binding.c:130
 #9 g_object_notify_queue_thaw at gobject.c:296
 #10 g_object_set_property at gobject.c:2374
 #11 rstto_settings_set_navbar_position at settings.c:926
 #12 rstto_main_window_set_navigationbar_position at main_window.c:1978
 #13 rstto_main_window_init at main_window.c:1004
 #14 g_type_create_instance at gtype.c:1866

Potential duplicate: bug 1299266
Comment 1 Lilicenco 2017-07-01 08:06:03 EDT
Created attachment 1293478 [details]
File: backtrace
Comment 2 Lilicenco 2017-07-01 08:06:04 EDT
Created attachment 1293479 [details]
File: cgroup
Comment 3 Lilicenco 2017-07-01 08:06:06 EDT
Created attachment 1293480 [details]
File: core_backtrace
Comment 4 Lilicenco 2017-07-01 08:06:08 EDT
Created attachment 1293481 [details]
File: dso_list
Comment 5 Lilicenco 2017-07-01 08:06:10 EDT
Created attachment 1293482 [details]
File: environ
Comment 6 Lilicenco 2017-07-01 08:06:11 EDT
Created attachment 1293483 [details]
File: exploitable
Comment 7 Lilicenco 2017-07-01 08:06:12 EDT
Created attachment 1293484 [details]
File: limits
Comment 8 Lilicenco 2017-07-01 08:06:15 EDT
Created attachment 1293485 [details]
File: maps
Comment 9 Lilicenco 2017-07-01 08:06:16 EDT
Created attachment 1293486 [details]
File: mountinfo
Comment 10 Lilicenco 2017-07-01 08:06:18 EDT
Created attachment 1293487 [details]
File: namespaces
Comment 11 Lilicenco 2017-07-01 08:06:19 EDT
Created attachment 1293488 [details]
File: open_fds
Comment 12 Lilicenco 2017-07-01 08:06:21 EDT
Created attachment 1293489 [details]
File: proc_pid_status
Comment 13 Lilicenco 2017-07-01 08:06:22 EDT
Created attachment 1293490 [details]
File: var_log_messages
Comment 14 Kevin Fenzi 2017-07-01 09:54:08 EDT
What were you doing when this happened? 

Can you duplicate the crash?
Comment 15 Fedora End Of Life 2017-11-16 10:23:56 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2017-12-12 05:29:11 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.